Subject: [Technical Errata Reported] RFC6106 (4864)

From: RFC Errata System <[email-masked]>
Date: Sun, 13 Nov 2016 19:19:13 -0800 (PST)

The following errata report has been submitted for RFC6106,
"IPv6 Router Advertisement Options for DNS Configuration".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6106&eid=4864

--------------------------------------
Type: Technical
Reported by: Robin Johnson <[email-masked]>

Section: 5.2.

Original Text
-------------
Length:
8-bit unsigned integer.  The length of the option
(including the Type and Length fields) is in units of
8 octets.  The minimum value is 2 if at least one
domain name is contained in the option.  The Length
field is set to a multiple of 8 octets to accommodate
all the domain names in the field of Domain Names of
DNS Search List.

Corrected Text
--------------
Length:
8-bit unsigned integer.  The length of the option
(including the Type and Length fields) is in units of
8 octets.  The minimum value is 2 if at least one
domain name is contained in the option.  The Length
field is set to a multiple of 8 octets to accommodate
all the domain names in the field of Domain Names of
DNS Search List.

The exact maximum value supported by a given network
is dictated by the MTU of the link, because the
Router Advertisement MUST NOT be fragmented as per
RFC6980#section5. The lowest possible MTU of 1280
results in a lower bound for the maximum value of 148
(representing 1192 octets).

Notes
-----
RFC6980 section 5 declares that nodes MUST NOT send fragmented Router Advertisements.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6106 (draft-ietf-6man-dns-options-bis-08)
--------------------------------------
Title               : IPv6 Router Advertisement Options for DNS Configuration
Publication Date    : November 2010
Author(s)           : J. Jeong, S. Park, L. Beloeil, S. Madanapalli
Category            : PROPOSED STANDARD
Source              : IPv6 Maintenance
Area                : Internet
Stream              : IETF
Verifying Party     : IESG